> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve the PDF file generation status of credit memos

GET https://rest.test.zuora.com/v1/credit-memos/pdf-status

Retrieves the PDF generation statuses of a batch of credit memos.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/billing-documents/credit-memos/get-credit-memo-pdf-status

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `creditMemoKeys` (string, required) — The IDs or numbers of the credit memos separated by commas. For example - `?creditMemoKeys=2c92c8955bd63cc1015bd7c151af02ab,4b65b8605bd63cc1015bd7c151af02cd,CM0000001`. A maximum of 50 keys can be entered in this field.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `creditMemoFiles` (list of GetCreditMemoPdfStatusResponse, optional) — Array of credit memo PDF statuses requested.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Errors

### 400 Bad Request Error

Invalid input

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

### 401 Unauthorized Error

Unauthorized

- `message` (string, optional) — Error message. If the error message is "Authentication error", ensure that the `Authorization` request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/docs/guides/authentication/) for more information. If the error message is "Failed to get user info", retry the request.

### 403 Forbidden Error

Forbidden

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### GetCreditMemoPdfStatusResponse

- `creditMemoId` (string, optional) — The ID of the credit memo whose pdf status is requested.
- `creditMemoNumber` (string, optional) — The credit memo number of the credit memo whose pdf status is requested.
- `pdfGenerationStatus` (enum, optional) — The generation status of the credit memo PDF.
  - Allowed values: `None`, `Pending`, `Processing`, `Generated`, `Error`, `Obsolete`
- `createdOn` (string, optional) — The time at which the request to generate the PDF was created.
- `updatedOn` (string, optional) — The time at which the request to generate the PDF was updated.
- `pdfFileURL` (string, optional) — The file path or the URL of the PDF when the status is `Generated`.
- `errorCategory` (string, optional) — The error category when the status is `Error`.
- `errorMessage` (string, optional) — The error message when the status is `Error`.

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Response**

```json
{
  "creditMemoFiles": [
    {
      "creditMemoId": "402824aa8cc894d5018cc8a120576881",
      "creditMemoNumber": "CM00000003",
      "pdfGenerationStatus": "Generated",
      "createdOn": "2024-01-01 11:35:56",
      "updatedOn": "2024-01-01 11:35:56",
      "pdfFileUrl": "/v1/files/2c98901f62d7d83d0162d7facea6262d"
    },
    {
      "creditMemoId": "2c98908a904dfc2601904e6e14090241",
      "creditMemoNumber": "CM00000004",
      "pdfGenerationStatus": "Error",
      "createdOn": "2024-01-02 10:14:13",
      "updatedOn": "2024-01-02 10:14:13",
      "errorMessage": "Unknown merge filed chargeNumber__c",
      "errorCode": "INVALID_TEMPLATE"
    },
    {
      "creditMemoId": "514936bb7dd014e6230dd0c342798103",
      "creditMemoNumber": "CM00000005",
      "pdfGenerationStatus": "Pending",
      "createdOn": "2024-01-01 11:35:56",
      "updatedOn": "2024-01-01 11:35:56"
    }
  ],
  "success": true
}
```

**SDK Code**

```python Credit Memos_Get_CreditMemoPdfStatus_example
import requests

url = "https://rest.test.zuora.com/v1/credit-memos/pdf-status"

querystring = {"creditMemoKeys":"creditMemoKeys"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Credit Memos_Get_CreditMemoPdfStatus_example
const url = 'https://rest.test.zuora.com/v1/credit-memos/pdf-status?creditMemoKeys=creditMemoKeys';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Credit Memos_Get_CreditMemoPdfStatus_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/credit-memos/pdf-status?creditMemoKeys=creditMemoKeys"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Credit Memos_Get_CreditMemoPdfStatus_example
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/credit-memos/pdf-status?creditMemoKeys=creditMemoKeys")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Credit Memos_Get_CreditMemoPdfStatus_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/credit-memos/pdf-status?creditMemoKeys=creditMemoKeys")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Credit Memos_Get_CreditMemoPdfStatus_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/credit-memos/pdf-status?creditMemoKeys=creditMemoKeys', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Credit Memos_Get_CreditMemoPdfStatus_example
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/credit-memos/pdf-status?creditMemoKeys=creditMemoKeys");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Credit Memos_Get_CreditMemoPdfStatus_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/credit-memos/pdf-status?creditMemoKeys=creditMemoKeys")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```